summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-05-10 05:42:48 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-05-10 05:42:48 +0100
commit100b0ae24e9b0d0fb3071efea2078a3bdabe4e38 (patch)
tree637adb56b86839c41fcb217b9bbe37e022fa666d /dev-python
parent12de738b83927a4b71c3ad067edbb6279d15b368 (diff)
gentoo auto-resync : 10:05:2023 - 05:42:48
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin258829 -> 258814 bytes
-rw-r--r--dev-python/PyGithub/Manifest2
-rw-r--r--dev-python/PyGithub/PyGithub-1.58.2.ebuild38
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.131.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.131.ebuild72
-rw-r--r--dev-python/cliff/Manifest2
-rw-r--r--dev-python/cliff/cliff-4.3.0.ebuild42
-rw-r--r--dev-python/hatchling/Manifest2
-rw-r--r--dev-python/hatchling/hatchling-1.15.0.ebuild78
-rw-r--r--dev-python/osc-lib/Manifest2
-rw-r--r--dev-python/osc-lib/osc-lib-2.8.0.ebuild51
-rw-r--r--dev-python/pyfuse3/Manifest2
-rw-r--r--dev-python/pyfuse3/pyfuse3-3.2.3.ebuild40
-rw-r--r--dev-python/pyjwt/Manifest2
-rw-r--r--dev-python/pyjwt/pyjwt-2.7.0.ebuild36
-rw-r--r--dev-python/ruamel-yaml/Manifest2
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.26.ebuild58
19 files changed, 499 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 70f202217898..5648274a0a1d 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/PyGithub/Manifest b/dev-python/PyGithub/Manifest
index c9cb11a85c68..982b79931db4 100644
--- a/dev-python/PyGithub/Manifest
+++ b/dev-python/PyGithub/Manifest
@@ -1,3 +1,5 @@
DIST PyGithub-1.58.1.tar.gz 3171074 BLAKE2B e1397db839b2fc194fc67d9ac47adf9faa4a087c9350596e243d8d763a05d50ee1f9b03192bc5b88c0c94893c8d39b798efd07d0c2c8c597072c65306339c03a SHA512 97e316d8bcd47546da2f64afe462b51d183a5385544a57963585a179d844e12865c7b87f08c507c4d3d8c0397a7f98acd84c17f45e9668722459c4c2cc328363
+DIST PyGithub-1.58.2.tar.gz 3171156 BLAKE2B 251964d542eff68b16a4b56740ed3753f80e56f56458cbc1b909b082b6f5deaf805088a24002e1bb95dae46fc7dcd54da6dbfdbd43c79c097a55f118c0bcc755 SHA512 91db0db09c4bfd145013c4b0861d12271a83bce9de7865eaa3e8baeb02bbb262218987556e7df435b50fcd14ea178da7bc23225d4d93ccf1714fa9a894cd46bd
EBUILD PyGithub-1.58.1.ebuild 872 BLAKE2B 73a115f6ae666e6d6ccc1008acc426c0912e01375172df2ece5111303fb2aa39f921dd56aaeb9cfd1b473402df80fdea8537c8c6d4537a4e957029f3c770c824 SHA512 ad384dd73b113623bde205dcb52429b6da5b43b44f4f346d95e24a71b975e72d640033b89c0a5c9b3297b6446bafb6c930313f36d52f75570573f3374b32cfd8
+EBUILD PyGithub-1.58.2.ebuild 874 BLAKE2B 1cd0cadf7e76fa2db5920cda46677b9d00f0e049c969fcb6a0147b129ac5aceef9f983ac1cccbbd1b6ec4e31c0b525710e918846f0cc8f5e3f81283dea47c9b3 SHA512 ebe473b3c1e796a4286aa077c31ea418947b26047c5d2fec87af425205ee3664eea5a7df8384fb35867ebde409c368d6314b15b2afb1d9b6c0bacdc480caad56
MISC metadata.xml 501 BLAKE2B 1692287021b81416f18386da2b1dffd1c358d4dbfa3aacf7d5f773db0889ba966408c35fdbb7ea7f741923d542ea4e825039ab124a64168ad2d5264d1718dc5b SHA512 e1f2c16e725e96e8d576ff6b87a79d39f1b8169c6f419eadcd18a8a266fd188dc08fc9efa236f2c696449a083b000086b153da559cd819fcb73ddf2518500813
diff --git a/dev-python/PyGithub/PyGithub-1.58.2.ebuild b/dev-python/PyGithub/PyGithub-1.58.2.ebuild
new file mode 100644
index 000000000000..c22ebb71ed44
--- /dev/null
+++ b/dev-python/PyGithub/PyGithub-1.58.2.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to access the Github API v3"
+HOMEPAGE="
+ https://github.com/PyGithub/PyGithub/
+ https://pypi.org/project/PyGithub/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# cryptography via pyjwt[crypto]
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/deprecated[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.14.0[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/httpretty-0.9.6[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index c72e3d014958..46d48a58ca66 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,10 +3,12 @@ DIST boto3-1.26.126.gh.tar.gz 642281 BLAKE2B c7a9130cac15843decf4543d6f749040805
DIST boto3-1.26.127.gh.tar.gz 645245 BLAKE2B fb320e064eae4a6755770653f5519e17ea11aa6f7aa566e0a625b1113cc784440c4d519bb2de544340d66c3fe80a510a1dadba3f724395c186ad7ef68b5ce11f SHA512 df6f9082a159e7ae8033ba92652cde9d73fc8b93e6793d3ce021b75135f825f7e4e102467caa179b36959a42b98376e30ada35d4a3259e359fbf417c92a6e487
DIST boto3-1.26.129.gh.tar.gz 645918 BLAKE2B 2de3833e60f8a8b91a35c863fc67e1b098b4d51e296a20677ab0e35b62809118dd105cf9338ccef60eef454cbf4b443bf06aa56206a1db4720305bc23ef19d42 SHA512 6b97bee6947eb05e972877b8326b83c4fe6fd244c0ef63da3f2aec801a00810083bb5d4998ec262394cd130393c85f4a0f0cc22f58def1a425def2b3780a48bc
DIST boto3-1.26.130.gh.tar.gz 646289 BLAKE2B a93c3806253f1af6cfa385531fc7b9efbaefd403a20155c5033fd4860f19fa845394a73aa5641d21c5a3992abac92245345567c1286370ea7f0029d0159e0ad7 SHA512 1bf0f7d682437cd5564515b7da622b10201a4d91358f52c2c4bff9a80f1c082b881b87c53a21a0eef6c5f5c36ae622efd0d80225b402c4bf93019405f31d1a9f
+DIST boto3-1.26.131.gh.tar.gz 646652 BLAKE2B c28edab15296d5b12aa8d423cba491f0665c8c3b87187cc7e75c75b16533b7cc10789833559cb39852257cac0d22d08f901d7459ddd53e2642f7ee8a42d73d64 SHA512 d7b9a215a895c79c3d8f63c4657d9c9ddf733219a36e7b204edd2602695d92826ba0ce4192fe50037dec672395aaceda3b115bad4d48c3437a1e20f52beaaa3d
EBUILD boto3-1.26.123.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.126.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.127.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.129.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.130.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.131.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.131.ebuild b/dev-python/boto3/boto3-1.26.131.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.131.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 70191d16fcd2..10d52ab64cff 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,10 +3,12 @@ DIST botocore-1.29.126.gh.tar.gz 11453877 BLAKE2B 955931ba40d550a12f4cd16cd7f746
DIST botocore-1.29.127.gh.tar.gz 11474348 BLAKE2B 72002e57593e114864bb8d6f0ec30d78fb503a6eee71fd0e61dbe430d976408583e2697db1828e8373bd5ba620b024c2e9bf3e25a69a39625b8ac7f5ae61a63a SHA512 b82f149807970666175222bba27213387782804c41393609011f36564b6a8be209777a575fa088e39440f7bcfe6d47d1183136aa2710ad4315f6f70075cd0ce3
DIST botocore-1.29.129.gh.tar.gz 11476185 BLAKE2B b2601ecd28263e44f4830ccad24402e6c5f62127cd5abbe75fd270bb05fabcc10dee24e6ba8e37629232929990b1f6bd9870eead303642564342da60c3386bda SHA512 c38a8797f7c728755406e334094e0183fd69eb1a7c68e41b065d5d2c999948714390a647c68d0373c1d8a7b6d9d91fd950b10527ee88bca08788921903ff9535
DIST botocore-1.29.130.gh.tar.gz 11473884 BLAKE2B 13d50cd41f690cf1e45324ca311da65f946396ebe3856ff60c06e35edc290d4e1d1b76e2b3bc72c3c0f8578f4cae16a7812f5c742bd8847cc5dfc5e15e98d12d SHA512 0173113f295019bfd968af0651bde9032baa2ebb2018070db8702adc35d73ac98e03a828fed7637ebc76bf5d1ba66b6fadb87a1d2afdae8a23f6279d7d5f10ad
+DIST botocore-1.29.131.gh.tar.gz 11477200 BLAKE2B b82be25b352f8d8192e698e06ed7bb5ed56632a355930fef0d3e75eff3cba4ef3b165ad9d9b98a6d2a862fb0ac73b656494e2c33772a8527ee67fc0321ad7ed3 SHA512 b2ebdd6b1abb71a611120413a65b35f27e5962085cb35dc166b7eb04540622e39ef16d2f09f304a41c3692080f4bb8a6593cc60208b7d3f39d01e827a4795067
EBUILD botocore-1.29.123.ebuild 1827 BLAKE2B d9e353ffebf3b77bdb5b034da339f9f3cf95937e288fa522fcc40f88a4752c58ae085406bfefa595c3738ec118712cdb4ee0509c1dee7a00e2c76cd2a657009c SHA512 f0d3e81726bd65bf4c097b63e8673881949970e29d976de53c1facbccf8cd1d214fea9153f4820a5889f1892979342a0255e110b243ba613d4e803a940d46602
EBUILD botocore-1.29.126.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.127.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.129.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-1.29.130.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
+EBUILD botocore-1.29.131.ebuild 1834 BLAKE2B 50305f707e533627ed4b906b3c5845a931f825049d40d8e9d9eedf1323d130634b578f68adb046db30e3e9a4168361da69d99471a7b744407dc103130a114994 SHA512 45952178574e99269d9767374818d867bfcc47ebf0f4c37dbab6cf50089577badb69967bd06b0b2d10b15dcd1c3e8b82adac88404d7c3b7d7784292b4005e797
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.131.ebuild b/dev-python/botocore/botocore-1.29.131.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.131.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cliff/Manifest b/dev-python/cliff/Manifest
index 31edf39b5440..fb102b291964 100644
--- a/dev-python/cliff/Manifest
+++ b/dev-python/cliff/Manifest
@@ -1,3 +1,5 @@
DIST cliff-4.2.0.tar.gz 83168 BLAKE2B ac2d288ac3728f4266d61edb9b6aedc897e9020d3f8a74ebba4721530942a27335564c2a95406a4d6b5374df49e38bc0aa303d3aff12f83c91e48c59f13aa45f SHA512 6f0c31b49603be5289e6d4c9b2572862e977264df21dc14d976289c627909102d672ee8ffa5b6cd79b3a349158ff8f36444a2d2061e18eeb7121ce79b2d5719b
+DIST cliff-4.3.0.tar.gz 82652 BLAKE2B 8d4977e3541fd9de21fb637069abcb92cf38b07f47f0d61d329397ab9d42335f18faa6d7d13862b7f188632af39d46118d0f3ebfcf2475b67c258388aa4bbcc2 SHA512 b4ed6fcec05017c999d54188459aa93c9a35660b0ceb505525f22a6bb7632e3548e91d8dc00db381c314a3818be2a457b7aee3307da35915ea7519c1e13091a3
EBUILD cliff-4.2.0.ebuild 1120 BLAKE2B 2f6e955387b1412415974becd157303b0648c9cf5fdea47e6bfa8830e1e0e515a791586d7a92bbf0ceb1dff39bb761508687361d78f8b50a730a3579787d842f SHA512 0e81f7cfb53119c84e5707714f49f1822c2d42293e23d511aedbe4931edcb743f3983b529e33abe6c2c7974a111774524a69bbb862225ee9dfe82aafd07eb218
+EBUILD cliff-4.3.0.ebuild 1124 BLAKE2B c1047e0b82cf879a829cc5c965b1d83f595a7d6126c4532581c8c616dfef99b724a44b188d619f5c1d11b8b370457b1c724c7fcf2c21729bc6c7f1ab21e77d56 SHA512 2678c9220b5f77154ca2163dfbec1c783bbce6730d6d9da1cbc9be1da7f8f7a77eb91bddea94b9d46d7676cdf4ce4e1bd780467131cad6421a6523825a273d01
MISC metadata.xml 712 BLAKE2B 367482d2ee04af7b55c217aaa49b5784333f66b1a25dffc0bcf5b639c90d69df0002feac780e36ca7a7c40fd40be424c8116389fbaf9ad5547ffb7f2f5f34697 SHA512 dfcdcdb8f473a5f9caaf281f3c408b21c15dee411c71f45ac0c2f79d2ce2ab5aa29bc59d5fcb1ee13db033509b38c27a3b9d5c07b6bd20a10e9933632f9f5657
diff --git a/dev-python/cliff/cliff-4.3.0.ebuild b/dev-python/cliff/cliff-4.3.0.ebuild
new file mode 100644
index 000000000000..3969d97bb918
--- /dev/null
+++ b/dev-python/cliff/cliff-4.3.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Command Line Interface Formulation Framework"
+HOMEPAGE="
+ https://opendev.org/openstack/cliff/
+ https://github.com/openstack/cliff/
+ https://pypi.org/project/cliff/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/autopage-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/cmd2-0.8.0[${PYTHON_USEDEP}]
+ dev-python/prettytable[${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-3.12.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib-metadata-4.11.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index 020e81f312b3..16291809d005 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1,7 +1,9 @@
DIST hatch-hatchling-v1.13.0.gh.tar.gz 383610 BLAKE2B 0a3dc20f6c1c504c94c09897e23e6ade844318488093cf849e332cf08f7be178ddb3ae61d8ff01af93438c01216b056a3566e9d8758a0151e4d7498447a9524f SHA512 fb14e1d088676dfc2b76dda207aa514232c3c5b8472d7332c0d53e0bd4dbd1d0e3bd1ac9f261f72e1a32610c565485f5e382fc7071e80066735a04eb8cade13e
DIST hatch-hatchling-v1.14.0.gh.tar.gz 378144 BLAKE2B e4fe0b22053e5be1ff330e96ad053e0461aa4e2ad1566313f03f265d42c7b63de8e3e7e7a52fa68639c4bdf4815e22e4040e8511eb43185cb3e7c8cf4d85ff92 SHA512 79a446c327022337c8c9e090c0aea0471fdad0a6c6d384797832bca09ece66c3b854c9626afccbb4fc49a9204ebb1e59a2ee55ff358b0eb1b10b16ddf7b4952a
DIST hatch-hatchling-v1.14.1.gh.tar.gz 378265 BLAKE2B ce990341dd4e41e98dbcc97af8e91bed37d4a4c08da7c86baeefb08b27b293c2d3e9a60c780338959bbbfe784603b762718aaf8721c85d3c0252170209d51235 SHA512 87f01d7bd8cc1be060c73a703cc6fe780ec8ef8ab5f1a883fb2b81a821c1be751bcff2301a21ffaec70a272b05cb47c387edfff97682fab402a142f31439677c
+DIST hatch-hatchling-v1.15.0.gh.tar.gz 382326 BLAKE2B 14095fc4355baef2bd7ba6156dccb23d21fca4f3942a35fc4341764d4367b94413dc62e3701c43447883137db8261fd5c08ddb3b9688954102ed11c33767d1d4 SHA512 e8d9d557ce277063048ef49c58e8230fb021487c5b4ffafde9caa00c834e6e84aae3d0c7b2a8cbdbdfb18a177afc432da692fab8437630df539ca149dc2ebfc7
EBUILD hatchling-1.13.0.ebuild 2094 BLAKE2B 2e7a1d5a394a93f6d58a50b039fc9297393513803b0ae7bb551680a32321ed5940577acc02e6988865b0b026e0538f9b6efe24a9770e8c771ea5138e1de16aec SHA512 1cbe612df37be3a58213f1defd8df82469313a009cd77a9774e7ea16c615efe8fb0fd4127dc7e349daac0d9c1dd49fc3ff7629f14719f5d63dd4382c05514477
EBUILD hatchling-1.14.0.ebuild 2129 BLAKE2B ec0a8a969de23bf759f00de4eb8113e7a83c686fad2e900fee097bc59e386183315cc9404aee6ca505cb387057ec1358c1026c41957250c08425ac3df8f7ada7 SHA512 8d1ffe7b3b8ae177c09066d4d44a953bd41f2e38c4dd7921b483a9d70ce3790058f9b26a904aa63408135f38131f88ba3a1a5d6caa42a0f7d6ae4b64f31426fe
EBUILD hatchling-1.14.1.ebuild 2254 BLAKE2B 9344dd5d7191a73c1374655064f3e1705976f2ca668481b6d096f68457572d1dab30a30d8bdaeebeefb6fd359dfa0ddf657cfac9679c430704c4d430dafdf469 SHA512 9f0832cd980970ea08d58e9a80908307eff7c9dce61dd25ca92d7156bdc9b548fae8029415b253ada84b8d22a5a8a937b7648d4535878ecbf51e425fbf20a70e
+EBUILD hatchling-1.15.0.ebuild 2254 BLAKE2B 9344dd5d7191a73c1374655064f3e1705976f2ca668481b6d096f68457572d1dab30a30d8bdaeebeefb6fd359dfa0ddf657cfac9679c430704c4d430dafdf469 SHA512 9f0832cd980970ea08d58e9a80908307eff7c9dce61dd25ca92d7156bdc9b548fae8029415b253ada84b8d22a5a8a937b7648d4535878ecbf51e425fbf20a70e
MISC metadata.xml 365 BLAKE2B 5a40a6cf6df042e6e8387830babd0171c9d8bc5d490fe2175b83d1588d827e826b49044ef29de48553515996b742fc475bb9699dcfa8ec05229162b22e0ed317 SHA512 f11bb25bc12c2bb0b0a0a4691115b9a2af525d9e44b33e0d6db98c7fcef0b49b5989fb7574ee8b27bc88f1dd2543bfdd492a6614de172e2c4edabbee8bf6161e
diff --git a/dev-python/hatchling/hatchling-1.15.0.ebuild b/dev-python/hatchling/hatchling-1.15.0.ebuild
new file mode 100644
index 000000000000..fb49ea0b336a
--- /dev/null
+++ b/dev-python/hatchling/hatchling-1.15.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3 python3_{9..11} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+TAG=${P/-/-v}
+MY_P=hatch-${TAG}
+DESCRIPTION="Modern, extensible Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/hatchling/
+ https://github.com/pypa/hatch/
+"
+SRC_URI="
+ https://github.com/pypa/hatch/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/backend
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+# deps are listed in backend/src/hatchling/ouroboros.py
+RDEPEND="
+ >=dev-python/editables-0.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ dev-python/trove-classifiers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/atomicwrites[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local -x EPYTEST_DESELECT=(
+ # these run pip to install stuff
+ tests/backend/dep/test_core.py::test_dependency_found
+ tests/backend/dep/test_core.py::test_extra_met
+ tests/backend/dep/test_core.py::test_extra_no_dependencies
+ tests/backend/dep/test_core.py::test_extra_unmet
+ tests/backend/dep/test_core.py::test_unknown_extra
+ tests/backend/dep/test_core.py::test_version_unmet
+ )
+
+ # top-level "tests" directory contains tests both for hatch
+ # and hatchling
+ cd "${WORKDIR}/${MY_P}" || die
+ local -x PYTHONPATH="src:${PYTHONPATH}"
+ epytest tests/backend
+}
diff --git a/dev-python/osc-lib/Manifest b/dev-python/osc-lib/Manifest
index 00bd6d870758..a117ac343571 100644
--- a/dev-python/osc-lib/Manifest
+++ b/dev-python/osc-lib/Manifest
@@ -1,3 +1,5 @@
DIST osc-lib-2.7.0.tar.gz 98224 BLAKE2B 9b0d34b628ca413641413ccd92e2a712938eed5a7124e9bae78a281b705be9b4dd2e3c9f5e322f10712361b3e09cfd3edae593a1c4fec6108ba0e946546141ff SHA512 edeff7097e8869b9ef4c888043c44eabea281b89cdac26da4a54fac708a6c9b3c10c57ea3bc76b8ed735c9d803edbb52c77c13c97a07614ce102cdac24a8eb5a
+DIST osc-lib-2.8.0.tar.gz 98870 BLAKE2B 29e312caf968f9a725d114c71a32d4d38ba11c785ac5118fe5dc07633f1d71ba5eb387f6fdbe9d90809088f5a1746ea1aea6cf4e55cc3848fa52462ee7969b0f SHA512 a54e3fa13277808d48f98c46aaf3d90670fe8dce21167816e0a8de21133bb95b87fb8172e0cfa6b1e6076635842569849fcddd9450df7ad2372bc079b37ad519
EBUILD osc-lib-2.7.0.ebuild 1512 BLAKE2B 4c8ae37b34e213b26b0aa2b19da3dc0da21b6878a0892e96129ea2344c9eee02cbe904b52123a2e03ae3368cc361ff924a6e57449fec47cd47b48de840a0d26a SHA512 bd9511d90bb264f950cd35295708ca881711d31555a79b5d5b4da1b9461d111325a352d43dd6b74aa0cbb2d597dae4dc5eef0c147680ef04300c87a76176a4f6
+EBUILD osc-lib-2.8.0.ebuild 1514 BLAKE2B f027067ab7b8f077bdd88922db5504f1cf5b7034752c8f083bf0e19e35bd60ac3b36733521354368b0259a685b2a8fac92172fe8162104112494f9ae5bda24f2 SHA512 e6af9f5435bc75f93851eb72fbb6733f16886ccb0a817d4427ae8d2969894f928fbd14db87c4dee30c7460d8fbd2c0676b76eb2def508211030f69cb48271b78
MISC metadata.xml 836 BLAKE2B de71d2a55a0b65cdabf503321d91f3e708f50189e6a06e11ce96f0d273286e1a6b5a871726dfe33784b91e941463500c964cb85c583241b003d3742b1d91c92d SHA512 e132c2ed9283d65464a151c918ac4ca91793ce850c7bb0a7b63178ddd42cb59b69b036acce0a8d0078f4b1b778a2361ca6a6f6e01d83e12cdc76dd8682b5b281
diff --git a/dev-python/osc-lib/osc-lib-2.8.0.ebuild b/dev-python/osc-lib/osc-lib-2.8.0.ebuild
new file mode 100644
index 000000000000..6ee6d1efc8c0
--- /dev/null
+++ b/dev-python/osc-lib/osc-lib-2.8.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A package of common support modules for writing OSC plugins"
+HOMEPAGE="
+ https://opendev.org/openstack/osc-lib/
+ https://github.com/openstack/osc-lib/
+ https://pypi.org/project/osc-lib/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/cliff-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/keystoneauth1-3.14.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.15.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-3.15.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.33.0[${PYTHON_USEDEP}]
+ >=dev-python/simplejson-3.5.1[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >dev-python/pbr-2.1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-mock-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/statsd-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # need to skip all tests under TestTagHelps class
+ # checks exact help message, based on another unittest runner
+ sed -e '179,$s/test_add_tag_/_&/' -i osc_lib/tests/utils/test_tags.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pyfuse3/Manifest b/dev-python/pyfuse3/Manifest
index 60f853c7a929..3c44da8938cc 100644
--- a/dev-python/pyfuse3/Manifest
+++ b/dev-python/pyfuse3/Manifest
@@ -1,3 +1,5 @@
DIST pyfuse3-3.2.2.tar.gz 510868 BLAKE2B a6f11083a3ddec031fdfe5cb810be526cba26d7bc9599a64d28e9a45281aeb04fca8728ff3788e44f1736475c89e64c3c1fd7cb964ff81fc30ce441a5dda7fae SHA512 91787c4198592ff5f0c022141e6c3cb1701108a6635b4d26347c4f7efff2a83aec206e939b44879ad1fd5c6c85aa6731b7465c998ec55ec032a6db024ffee817
+DIST pyfuse3-3.2.3.tar.gz 512352 BLAKE2B 1b5826ea42a72fd5d688b4cd7617c2fd08a7f9b69381d52343e8891c90ba51f8c5c79a2b9c7c42944cd20493ea645a00a26e7c04cebec10322f71241b8b12df3 SHA512 2f35ea5e0f05af7184fe83458b976742f4f500d09098c68b71982e4b8c089485677bf1e704536e037d6f690fce3006a4fdb71697c68999ed412cc9d73aef8b13
EBUILD pyfuse3-3.2.2.ebuild 735 BLAKE2B 3bd8ec76a7eb207f7e307393fca07fa01a850ae6497410773caeab236be6d712912fbd75c4ee0b2e8d822d9411badc40f8c59d0110f46ba65cba55f6a4066d3b SHA512 ef394ff29ecb12414f0de1d899ca3810ab736f35668abd7b3c46ce527cfc8c47f6eaa015bfaffc93a91dcd1fb7ab74bd1d6ded06811473390932a5992a63e764
+EBUILD pyfuse3-3.2.3.ebuild 720 BLAKE2B 0db5cddb4c1ae77fd495fca340f46c90bcb9003e07f9df51410f3abf2b9ebff39f839eb2aac00c084a87c5056fb4fc2b5bea33a8c5b97ffe09c3790c1a3f70bc SHA512 a57933fa10ca46b03b19d397c10a823fc80f6ea554dfab177d971a07c0a4375373b4213b2f882e5fb977dc05fd1dde5fa2fb7f5d98bf63bc9cd7e23c865d35da
MISC metadata.xml 378 BLAKE2B 1eab581597bf836c57f06347fbe9f5abea4aabffef115536e20a7ffc598e0c124197bc6edaa79c92158f1b5339a465d584501705f1f4d26857b92b2cbd518778 SHA512 7893dc5830a0707d32e907d133cb5e2a6f86bb531c31f71926790d6ad9704c9dc85693ef91aa19a5c4ce755956400c8b5d97882ae4a9f52c2d19f64e06f3bcd9
diff --git a/dev-python/pyfuse3/pyfuse3-3.2.3.ebuild b/dev-python/pyfuse3/pyfuse3-3.2.3.ebuild
new file mode 100644
index 000000000000..9169d6d863df
--- /dev/null
+++ b/dev-python/pyfuse3/pyfuse3-3.2.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python 3 bindings for libfuse 3 with asynchronous API"
+HOMEPAGE="
+ https://github.com/libfuse/pyfuse3/
+ https://pypi.org/project/pyfuse3/
+"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+DEPEND="
+ sys-fs/fuse:3
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/trio[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-trio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_configure() {
+ esetup.py build_cython
+}
diff --git a/dev-python/pyjwt/Manifest b/dev-python/pyjwt/Manifest
index bfe2d914a52d..d6d46def3c4e 100644
--- a/dev-python/pyjwt/Manifest
+++ b/dev-python/pyjwt/Manifest
@@ -1,3 +1,5 @@
DIST PyJWT-2.6.0.tar.gz 72984 BLAKE2B d8e9cc85ec80ca8f0414b88bb4bfa4aa93c973e5f3e015dee9433371d8b3c9ba5d701df16073bbacbaca9c9433f8a69259623f2f4e70843dbdf520d4248bb3f3 SHA512 c2f797bbb84469db1332bad61807740d859d0e1fa500ba17981d6c1a7a30a6fab345ff241200e24ce1ffe686591642a858e5eb2e9462fa1ceda7fcd00ae55d30
+DIST PyJWT-2.7.0.tar.gz 77902 BLAKE2B ff1e1c5dfd301a86a42eb6b4b2d6d900b15acdf60875bac49aee980b75b724292ff48b169cd2b9708388860ea93fd94f3cbf891f4606bfeb544e07a14c328bb8 SHA512 0aa886dfdc3c668b45e1c649cc3fbe3c2dec7476f46bd361ff74f6e9c7ea0ad40306a8a8ae84bfd63fe1c1364302b8aa69943013c951b32c9f24e4782b94ca8d
EBUILD pyjwt-2.6.0.ebuild 708 BLAKE2B 0757e874bdc0db1f04343c0d751abbdd9cf1d09fbff3d9eb84acc9f6d8286a01b8b0f3c380df5e8ed378dd3baac384b70dd64792082b194c34e58bcb5cafb2bf SHA512 354fc447d1666409f2ad31b5de52df6db71671a92b429c0dfa1907c0d64b32d45b69e68101df676a8e79ad7eb609136ca04d7da79c930c137bd84499c97d2438
+EBUILD pyjwt-2.7.0.ebuild 714 BLAKE2B c290ccbc456c1e3fb8b6c04ac62366e13bf375eca4f2f3d2261a5e1acf4748b77d5b55fad43d75cdfecd91710ef8bd02276381045dc4ac85b4e869d9709d775c SHA512 68e2189f764d3502a5f4e0e1d040bd67fe18ade3bac407ac01fdb900f21d7fd668d1242115aa4f1f674aa95a2b759890eae112b4402aca8885c4f45f9779d877
MISC metadata.xml 450 BLAKE2B e0a5244140aed7eb1dbc7d1bedf41b64f999ada11a82d5a7c3720501d824c789590e5339d5855fa4d0f96ff1b572e86af41859f8f14105f2f9b1a715d9d71d87 SHA512 83bce7997e724867cf1962ce75d8bb8e7a4e7a8dcdb42b95d9d323ca3a3ea4584020d4b700885e1afcb753d4fcacee23ec7b25066e93c0ac5eb614f65d140f29
diff --git a/dev-python/pyjwt/pyjwt-2.7.0.ebuild b/dev-python/pyjwt/pyjwt-2.7.0.ebuild
new file mode 100644
index 000000000000..3c66be91f8bd
--- /dev/null
+++ b/dev-python/pyjwt/pyjwt-2.7.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="PyJWT"
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="JSON Web Token implementation in Python"
+HOMEPAGE="
+ https://github.com/jpadilla/pyjwt/
+ https://pypi.org/project/PyJWT/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ !dev-python/python-jwt
+"
+BDEPEND="
+ test? (
+ >=dev-python/cryptography-3.4.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "cryptography" dev-python/cryptography
+}
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 0d5d6e95ac42..9a3a29aec5dc 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -2,8 +2,10 @@ DIST ruamel.yaml-0.17.21.tar.xz 184612 BLAKE2B cc7e2a336d3c77a9f2d7e5d7233ceb4d1
DIST ruamel.yaml-0.17.22.tar.xz 185000 BLAKE2B dda8163bfa52b29801d115bc64ef52c35086f186b4795df9dfcd785584e2de338ca055dbf07f3eaac548b14d338ac89bbda4e95196fd113a8fda3ecacb30bc61 SHA512 ac1af1c829c0a5dc65a66926d03b50eede405c9dafd811eae1b9567c81b6bb86b7dd91f4b7c6bf84d7c4833f8b17860dcfddaf7992241ac6673d7ffecf15466f
DIST ruamel.yaml-0.17.23.tar.xz 185900 BLAKE2B ff283c979474f14e2f0231d64d0a609f262c4b87764eedb2b6060a66a09388670514f341809e6c5f36b0fbe15412209dbd5da9fc31fd8bda83a4d857beade48e SHA512 1a9c22357d61e31464cdead9d0c7715f156839861b8d93b94fa78f00b8d75e803d5bd74fc7d36e1d20f5927f807c3a9ed6af79746177a1d5da0622729597807e
DIST ruamel.yaml-0.17.24.tar.xz 186504 BLAKE2B d5bd5240c3ad68309ad9382dd076111f554848a71697ac98015e34449a98c101f37cef0fdead279501976cceb235c8b055675eb63aab4c8121dd30ae5740dd90 SHA512 32fe95c4927197af4f30bc68d26bff956520d69471f802b58be6a07a0c4b2ed45673cd7890a2f49dc2a13791a2dac2fa66a7e6137f5afe813b6d8d56704d0c16
+DIST ruamel.yaml-0.17.26.tar.xz 186752 BLAKE2B ce3d914ac27df2d038a882535f3559b47051a1fb1206a3ab6cab7c2ee0ee9fcfb5fc0babfb3a3488e7d074798bcbdb24d67d2a37a00c9d9210e96f13bb5bcdbb SHA512 40a91002f904621632acaa73b5bd3095f933369d354a8e7579a5afe4c171ceefadb76d5ecbdd3ef6202833874ba19ed518ce5ac5c7dbf15b698dd07b95260d33
EBUILD ruamel-yaml-0.17.21-r2.ebuild 1416 BLAKE2B 7c5fec37a294037618a2f9d21788154fb806d6fc1575d622b7b8140f994395c4eb92be635f9f8ac11df318e37e72623ec68ecc6ac273e1961fcf99bfa88c95ba SHA512 2c2f983c303a954b217667a3c0034d14d422cb5e2473b79fe9ece4dc9e43a4f032dbeb74a6d78ef3c6d463f31f69e4ea63fd0679bfdecaf4a0c8e08267686ca2
EBUILD ruamel-yaml-0.17.22.ebuild 1423 BLAKE2B 5e168553d3cae61fe84f729c50a299633d9a56e476676c2c762f5776c95b5173743e2a554209c3309c6baefae8abf882197f71c4e6efaa4cc5a5970c5f462b91 SHA512 999fbcc45460816f74fa1aef11b09a52221ee49b5a661381dbbdf01e067da037060e5df91a2ca62415480754c57a3f13bd75f8019bd947e4bf69b90dc7d43943
EBUILD ruamel-yaml-0.17.23.ebuild 1423 BLAKE2B 5e168553d3cae61fe84f729c50a299633d9a56e476676c2c762f5776c95b5173743e2a554209c3309c6baefae8abf882197f71c4e6efaa4cc5a5970c5f462b91 SHA512 999fbcc45460816f74fa1aef11b09a52221ee49b5a661381dbbdf01e067da037060e5df91a2ca62415480754c57a3f13bd75f8019bd947e4bf69b90dc7d43943
EBUILD ruamel-yaml-0.17.24.ebuild 1424 BLAKE2B 2eb712c34d3de058093abab29e683061e0d8c2fbd3e42e7b99acf2ff3d169bd5eb5fb8c579535f109c69f75d7b64f4f369859d01da85df7b3fb893d515977eac SHA512 ee4b07d307ca7fa0d0c984c0c26862529ef5a846b81ac01a143e40266df025b96faa64731470c93ccf1921e3b5e2c1faec7fb7c876a0580ada2af6ac7c07ae0c
+EBUILD ruamel-yaml-0.17.26.ebuild 1424 BLAKE2B 2eb712c34d3de058093abab29e683061e0d8c2fbd3e42e7b99acf2ff3d169bd5eb5fb8c579535f109c69f75d7b64f4f369859d01da85df7b3fb893d515977eac SHA512 ee4b07d307ca7fa0d0c984c0c26862529ef5a846b81ac01a143e40266df025b96faa64731470c93ccf1921e3b5e2c1faec7fb7c876a0580ada2af6ac7c07ae0c
MISC metadata.xml 759 BLAKE2B ce5ec2429c5fe84587d1b5e7744055e1e8e91eae8dec780a4654cab405df46350d1c8175827351948364255b8fcd62ea234239260c01b8ce23b8db182e6514e6 SHA512 faa587083ffa9af40108e2ca9cfb7a4e2c3e19a731b39241a7ec62d6fca051ace92bcff3fa9896a343fdc196a04fe1d132bcbb7bfa3fd96401ac996b76bba4ee
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.26.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.26.ebuild
new file mode 100644
index 000000000000..a57faa690df0
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.26.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+BDEPEND="
+ test? (
+ dev-python/ruamel-std-pathlib[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}